apt get update is posting an error while using debian source

my dockerfile is as below:

FROM wordpress:5.5.1-php7.4
RUN echo 'deb http://ftp.us.debian.org/debian sid main' >> /etc/apt/sources.list
RUN apt-get update && \
apt-get install -y wget sudo && \
apt-get install -y ssmtp

Did not run a build for the past few months and now I am getting the below error while building

Step 20/45 : RUN echo 'deb http://ftp.us.debian.org/debian sid main' >> /etc/apt/sources.list
---> Running in bded7d792d7e
Removing intermediate container bded7d792d7e
---> 241596b3bdc2
Step 21/45 : RUN apt-get update &&   apt-get install -y wget sudo &&   apt-get install -y ssmtp
---> Running in 4870366692cf
Get:1 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
Get:2 http://deb.debian.org/debian buster InRelease [121 kB]
Get:3 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]
Get:4 http://ftp.us.debian.org/debian sid InRelease [146 kB]
Get:5 http://security.debian.org/debian-security buster/updates/main amd64 Packages [243 kB]
Get:6 http://deb.debian.org/debian buster/main amd64 Packages [7906 kB]
Get:7 http://ftp.us.debian.org/debian sid/main amd64 Packages [8492 kB]
Get:8 http://deb.debian.org/debian buster-updates/main amd64 Packages [7856 B]
Fetched 17.0 MB in 3s (6517 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libc6-dev : Breaks: libgcc-8-dev (< 8.4.0-2~) but 8.3.0-6 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
The command '/bin/sh -c apt-get update &&   apt-get install -y wget sudo &&   apt-get install -y 
ssmtp' returned a non-zero code: 100
##[error]The command '/bin/sh -c apt-get update &&   apt-get install -y wget sudo &&   apt-get 
install -y ssmtp' returned a non-zero code: 100
##[error]The process '/usr/bin/docker' failed with exit code 100

I tried removing the gcc completely but no luck.. tried with multiple other debian sources too but no luck,, Anyone faced a similar issue??